---
Name: hashicorp-vault
Description: "Deploys HashiCorp's Vault for secondary and beyond"
Documentation: |
  Tasks to deploy HashiCorp's Vault
Tasks:
  - unzip-install
  - consul-download
  - consul-install
  - consul-build-config
  - consul-systemd-config
  - hashicorp-vault-download
  - hashicorp-vault-install
  - hashicorp-vault-build-config
  - hashicorp-vault-systemd-config
  - consul-start
  - hashicorp-vault-start
  # GREG: Are these needed for node 2+
  - consul-template-download
  - consul-template-install
  - consul-template-buildconf
  - consul-template-buildcert
  - consul-create-cert
  - consul-cert-server
  - consul-auto-gossip-config
  - consul-auto-gossip
Meta:
  icon: "object group outline"
  color: "brown"
  title: "RackN Content"
